Page MenuHomePhabricator

uploading attachments requires drag-n-drop which is kind of annoying
Closed, DuplicatePublic

Description

As far as I can tell, you can only create an attachment to a bug by dragging and drop. That's mildly annoying for someone who usually uses ls as a file manager :)

Details

Reference
fl154

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:28 AM
flimport set Reference to fl154.

qgil wrote on 2014-04-17 19:25:36 (UTC)

At least in a new comment: Action > Upload file > Choose file > etc

Nemo_bis wrote on 2014-04-17 19:31:32 (UTC)

At least in a new comment: Action > Upload file > Choose file > etc

I hadn't even noticed "Action". Why is it under "Weigh In" and not at top, it looks like a modifier of the comment text area.

Nemo_bis wrote on 2014-04-17 20:38:16 (UTC)

◀ Merged tasks: T134.

Nemo_bis wrote on 2014-04-18 09:43:31 (UTC)

I tried Action > Upload file on http://fab.wmflabs.org/T124 : it whined "You can't add an empty comment", I typed something and confirmed; no idea where the screenshot went.

qgil wrote on 2014-04-18 17:41:42 (UTC)

Testing an upload here. "You can't add an empty comment" indeed. Perhaps this is not a bad idea, since it forces you to describe what you are uploading (or you can type a dot).

PS: indeed, no idea what happened to the attachment.

qgil wrote on 2014-04-18 17:42:09 (UTC)

Second test.

qgil wrote on 2014-04-18 19:14:43 (UTC)

Uploading files via action was indeed not working upstream, and they killed it: https://secure.phabricator.com/T4655

Drag and drop is indeed the only way to bring a file to a task in a single step. Otherwise users can use http://fab.wmflabs.org/file/upload/ or http://fab.wmflabs.org/pholio/new/ , and link from comments.

qgil wrote on 2014-04-21 05:49:52 (UTC)

@Bawolff, after using this feature at T12 I have to say that, at least for those users having a GUI in their systems, ;) it is a pleasure t use compared with the Bugzilla equivalent:

Drag and drop the screenshot in the exact place where you want it in your task description and you will get:

  1. File uploaded http://fab.wmflabs.org/file/info/PHID-FILE-wsepve6wh45gs4mwvpga/
  2. Image nicely inserted as clickable (expandable) thumbnail

Not annoying at all. In fact, this would be a clear improvement for a big majority of Bugzilla users, and even for you as viewer of bugs with screenshots.

qgil wrote on 2014-05-01 19:16:32 (UTC)

✘ Merged into T271.

importing issue status

flimport closed this task as a duplicate.Sep 12 2014, 1:28 AM